Bug 1295941 - Orchestration template : Able to delete template in use
Orchestration template : Able to delete template in use
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: Milan Zázrivec
: 1295942 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2016-01-05 15:25 EST by Shveta
Modified: 2016-06-29 11:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-06-29 11:25:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
remove template (166.56 KB, image/png)
2016-01-05 15:25 EST, Shveta
no flags Details

  None (edit)
Description Shveta 2016-01-05 15:25:06 EST
Created attachment 1111933 [details]
remove template

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create an orchestration template and save 
2. Read -Only flag is set to False 
3. Select template "Remove this template" under Configuration is disabled.

Actual results:

Expected results:

Additional info:
Comment 2 Shveta 2016-01-05 17:14:46 EST
*** Bug 1295942 has been marked as a duplicate of this bug. ***
Comment 3 Shveta 2016-01-05 17:34:15 EST
Hover text on Remove template option says "Can't delete template in use"
I created a service dialog from that template so may be its working as designed.

But when i select "check All" for templates and delete , the template gets deleted.
Comment 5 Shveta 2016-01-06 17:54:34 EST
Another similar bug

1. Create an orchestration template
2. "remove this template" option under configuration is greyed out
3. Hover text on the option says "Orchestration template in use cannot be deleted"
4. But the template is not used anywhere.
Comment 7 CFME Bot 2016-01-19 12:31:21 EST
New commit detected on ManageIQ/manageiq/master:

commit d03ddd93d6dc3ed6bbdef94dc02022cd3002ae18
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Mon Jan 18 17:54:06 2016 -0500
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Tue Jan 19 09:57:51 2016 -0500

    Add before_destroy callback to OrchestrationTemplate

 app/models/orchestration_template.rb       | 8 ++++++++
 spec/models/orchestration_template_spec.rb | 7 +++++++
 2 files changed, 15 insertions(+)
Comment 8 Bill Wei 2016-01-19 13:30:30 EST
I could not reproduce any reported problems in latest ManageIQ master. Everything works as designed. 

The fix in backend is responded to comment #4. This is the last defense to keep a template in use from being deleted. Assign back to UI team to investigate whether there  are reported problems with 5.5.

Shevta, I believe the hover text is static. It does not change according to the readonly flag of a template.
Comment 11 Milan Zázrivec 2016-04-19 04:55:13 EDT
I'm not entirely sure what needs to be done here -- Bill are you perhaps aware of any (even UI)
issues that need to be addressed wrt. orchestration templates?

Comment 12 Bill Wei 2016-04-19 09:16:05 EDT
I reported in #8 that I could not reproduce the problem in latest master. Can you reproduce in 5.5? If not, we can close this one.
Please test to delete a single template, as well as multiple selections of templates.
Comment 13 Milan Zázrivec 2016-04-19 10:36:42 EDT
One of the problem still present in current master (and CFME 5.5 as well)
is the misleading tooltip on edit / remove button telling the template
cannot be edited / removed, regardless of whether or not the template
in question is in use.

PR: https://github.com/ManageIQ/manageiq/pull/8090
Comment 14 CFME Bot 2016-04-19 12:21:02 EDT
New commit detected on ManageIQ/manageiq/master:

commit 40302b168463700ee1c087126de9aad2eba200be
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Tue Apr 19 16:32:53 2016 +0200
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Tue Apr 19 16:32:53 2016 +0200

    Fix misleading tooltip in orchestration template toolbar
    Tooltip telling the orchestration template cannot be removed / edited
    needs to be put in place only if the template is in use (not in
    call cases).

 .../button/orchestration_template_edit_remove.rb           | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)
Comment 15 Shveta 2016-04-22 15:12:52 EDT
Comment 17 errata-xmlrpc 2016-06-29 11:25:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.